package com.jeeplus.pubmodules.oss.feign;

import com.jeeplus.pubmodules.oss.service.OSSClientService;
import com.jeeplus.pubmodules.oss.service.OssService;
import com.jeeplus.pubmodules.serialNumTpl.service.SerialnumTplService;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import com.jeeplus.sys.feign.IWorkAttachmentApi;
import com.jeeplus.sys.service.dto.WorkAttachmentInfoDTO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.annotation.Resource;
import java.io.InputStream;
import java.util.List;
import java.util.Map;

/**
 * @author: 徐滕
 * @version: 2023-07-11 15:18
 */
public class WorkAttachmentApiImpl implements IWorkAttachmentApi {

    @Autowired
    private OssService ossService;

    @Override
    public List<WorkAttachmentInfo> selectWorkAttachmentByAttachmentId(String id) {
        return ossService.selectWorkAttachmentByAttachmentId(id);
    }

    @Override
    public void insertWorkAttachment(Map<String, String> map) {

    }

    @Override
    public void deleteById(String id) {

    }

    @Override
    public void deleteByAttachmentId(String attachmentId) {

    }

    @Override
    public void deleteByAttachmentIdNotInIds(String attachmentId, List<String> delIds) {

    }

    @Override
    public void saveOrUpdateFileListFlag(Map<String, String> map) {

    }

    @Override
    public void saveOrUpdateFileList(Map<String, String> map) {

    }

    @Override
    public List<WorkAttachmentInfo> selectListByAttachmentId(String attachmentId) {
        return null;
    }

    @Override
    public void deleteByIds(String ids) {

    }

    @Override
    public String saveFile(Map<String, String> map) {
        return null;
    }

    @Override
    public void downByStreamSaveLocal(String key, String fileName, String downFileStr) {

    }

    @Override
    public String genSerialNum(String companyId, String bizCode,String currentToken) throws Exception {
        return null;
    }

    @Override
    public String genSerialNumNoSort(String companyId, String bizCode,String currentToken) throws Exception {
        return null;
    }

    @Override
    public String genSerialReviewNum(String companyId, String bizCode, String currentToken) throws Exception {
        return null;
    }

    @Override
    public List<WorkAttachmentInfo> getByAttachmentIdAndUrlAndAttachmentFlag(WorkAttachmentInfo workattachment) {
        return null;
    }

    @Override
    public void downQzByStreamSaveLocal(String key, String fileName, String downFileStr) {

    }

    @Override
    public String datePath() {
        return null;
    }

    @Override
    public String uploadFile2OSS(InputStream inStream, String fileDir, String fileName) {
        return null;
    }

    @Override
    public String uploadFileSignatureOSS(String filePath, String fileDir, String fileName) {
        return null;
    }

    @Override
    public void saveMsg2(Map<String, String> map) {

    }

}
